// import { Request } from '../../models/request';
import { Request } from 'src/app/hmg-common/services/models/request';
import { RegisterInformationPatientModel } from './register-information-patient.model';

export class RegisterInformationRequest extends Request {
    activationCode: string;
    LogInTokenID: string;
    PatientIdentificationID: string;
    PatientMobileNumber: string;
    ProjectID: number;
    Patientobject = new RegisterInformationPatientModel();


    constructor() {
        super();
        this.Patientobject.TempValue = true;
    }


    public setName(first: string, middle: string, last: string) {
        this.Patientobject.FirstName = first;
        this.Patientobject.MiddleName = middle;
        this.Patientobject.LastName = last;
    }

    public setBirthDate(birthDateISO: string, birthDateJSON: string) {
        this.Patientobject.StrDateofBirth = birthDateISO;
        this.Patientobject.DateofBirth = birthDateJSON;
    }

    public setGender(gender: number) {
        this.Patientobject.Gender = gender;
    }
}
